<%= render 'scrapbook/shared/header' %>

<div class="master-image">
<ul class="accordion-tabs-minimal">
  <li class="tab-header-and-content">
    <a href="#" class="tab-link is-active">Image</a>
    <div class="tab-content">
      <%= image_tag @master.file.url(:large), class: 'master-large' %>
      <hr>
      <%= content_tag :span, @master.image_resolution, class: 'file-info' %>
      <%= content_tag :span, @master.file_content_type, class: 'file-info' %>
      <%= content_tag :span, number_to_human_size(@master.file_file_size),
                      class: 'file-info' %>
      <br>
      <%= link_to "View original file", @master.file.url, target: '_blank' %>
    </div>
  </li>
  <li class="tab-header-and-content">
    <a href="#" class="tab-link">
      <%= pluralize @master.placements.count, 'Placement' %>
    </a>
    <div class="tab-content master-placements">
      <% if @master.placements.any? %>
        <ul>
          <% @master.placements.each do |placement| %>
            <li>
              <%= link_to edit_placement_path(placement)  do %>
                <%= placement.context_name.titleize %> on
                <%= placement.parent.class %>
                <br>
                <%= scrapbook_image_tag placement, width: 200 %>
              <% end %>
            </li>
          <% end %>
        </ul>
      <% else %>
        <%= content_tag :h2, 'No placements yet.' %>
      <% end %>
    </div>
  </li>
</ul>
<%= link_to "Delete Master Image", master_path(@master), method: :delete,
            'data-confirm': t('masters.destroy_confirm'),
             class: 'button red hollow' %>
</div>

<div class="master-info">
  <%= content_tag :h1, @master.title, class: 'master-title' %>
  <%= link_to "Edit", edit_master_path(@master), class: 'button hollow right small' %>
  <%= content_tag :dl do %>
    <% @master.all_metadata.each_pair do |name, value| %>
    <div class="meta-pair">
      <%= content_tag :dt, name.titleize, class: 'meta-name' %>
      <%= content_tag :dd, raw(value), class: "meta-value" %>
    </div>
    <% end %>
    <div class="meta-pair">
      <%= content_tag :dt, 'Created At', class: 'meta-name' %>
      <%= content_tag :dd, time_tag(@master.created_at), class: "meta-value" %>
    </div>

  <% end %>
  <hr>
  <%= link_to "Create #{current_context.full_title}",
              new_placement_path(master: @master),
              class: 'button green' if placing? %>

</div>
